/* toupperctype.c */
#include <stdio.h>
#include <ctype.h> /* per islower e toupper */

int main(void)
{
	int c;

	while((c = getchar()) != EOF)
		if(islower(c))
			putchar(toupper(c));
		else
			putchar(c);
	return 0;
}


/* Piu' concisamente: 

int main(void)
{
	int c;

	while((c = getchar()) != EOF)
		putchar(toupper(c));
	return 0;
}

*/
